# Enum GlucoseRecordFilter.Kind

java.lang.Object
java.lang.Enum<GlucoseRecordFilter.Kind>
com.codename1.health.sensors.GlucoseRecordFilter.Kind

All Implemented Interfaces:
  `Comparable<GlucoseRecordFilter.Kind>`

Enclosing class:
  `GlucoseRecordFilter`

public static enum GlucoseRecordFilter.Kind extends Enum<GlucoseRecordFilter.Kind>
What a filter selects on.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Every record the meter holds.
  `FIRST`
  Only the record with the lowest sequence number.
  `LAST`
  Only the record with the highest sequence number.
  `SEQUENCE_GREATER_OR_EQUAL`
  Records with a sequence number at or above a bound.
  `SEQUENCE_RANGE`
  Records within an inclusive sequence-number range.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GlucoseRecordFilter.Kind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GlucoseRecordFilter.Kind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final GlucoseRecordFilter.Kind ALL
    Every record the meter holds.

  - ### SEQUENCE_GREATER_OR_EQUAL

    public static final GlucoseRecordFilter.Kind SEQUENCE_GREATER_OR_EQUAL
    Records with a sequence number at or above a bound.

  - ### SEQUENCE_RANGE

    public static final GlucoseRecordFilter.Kind SEQUENCE_RANGE
    Records within an inclusive sequence-number range.

  - ### LAST

    public static final GlucoseRecordFilter.Kind LAST
    Only the record with the highest sequence number.

  - ### FIRST

    public static final GlucoseRecordFilter.Kind FIRST
    Only the record with the lowest sequence number.

- ## Method Details

  - ### values

    public static GlucoseRecordFilter.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GlucoseRecordFilter.Kind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null